{% extends 'layouts/base.html' %}

{% block content %}
    <div class="container-fluid">
        <div class="row"></div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body table-responsive p-0">
                        <table class="table table-hover text-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>First Name</th>
                                    <th>Last Name</th>
                                    <th>Username</th>
                                    <th>Email</th>
                                    <th>Status</th>
                                    <th>Created at</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for user in users %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ user.first_name }}</td>
                                        <td>{{ user.last_name }}</td>
                                        <td>{{ user.username }}</td>
                                        <td>{{ user.email }}</td>
                                        <td>
                                            {% if user.is_active %}
                                                <i class="fas fa-circle text-green"></i>
                                            {% else %}
                                                <i class="fas fa-circle text-red"></i>
                                            {% endif %}
                                        </td>
                                        <td>{{ user.date_joined|date:"d F Y" }}</td>
                                        <td>
                                            <button type="button" class="btn btn-default">Actualizar</button>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
